## plt-scheme 4.2.4

=== debian/changelog ===
plt-scheme (4.2.4-2ubuntu3) natty; urgency=low

  * debian/patches/fontconfig.patch: Force linking to libfontconfig,
    fixes FTBFS with --no-add-needed.

 -- Jani Monoses <jani@ubuntu.com>  Thu, 20 Jan 2011 16:17:27 +0200

plt-scheme (4.2.4-2ubuntu2) natty; urgency=low

  * debian/patches/eabi_support.patch: Support ARMv7 and EABI.
    Taken from the libffi package.
    Revert previous change that set -mfloat-abi=soft.

 -- Jani Monoses <jani@ubuntu.com>  Thu, 20 Jan 2011 00:05:19 +0200

plt-scheme (4.2.4-2ubuntu1) maverick; urgency=low

  * Use -mfloat-abi=soft for thumb2 assembler (LP: #635415)

 -- David Sugar <david.sugar@canonical.com>  Fri, 01 Oct 2010 14:00:26 +0000

plt-scheme (4.2.4-2) unstable; urgency=low

  * Pull patch from upstream to fix building on Sparc.
  * debian/control: Change libjpeg62-dev Build-Depends to libjpeg-dev.
  * debian/rules: Use the Boehm garbage collector on archs where the 3m one
    doesn't work.

 -- James Vega <jamessan@debian.org>  Mon, 15 Feb 2010 08:00:11 -0500

plt-scheme (4.2.4-1) unstable; urgency=low

  [ Ari Pollak ]
  * Convert to 3.0 (quilt) format, no patches necessary yet

  [ James Vega ]
  * New upstream version
  * debian/control:
    - Add myself to Uploaders.
    - Change XS-Vcs-* to Vcs-* and correct a typo in the URLs.
    - Add ${misc:Depends}.
    - Remove description of ProfessorJ.
  * debian/rules:
    - Remove binary-post-install/plt-scheme target since collects/profj
      no longer exists.
    - Add -g to CFLAGS.
  * debian/overrides/plt-scheme: Add an override for the embedded-zlib while
    working with upstream to find a fix they'll agree to.

 -- James Vega <jamessan@debian.org>  Sun, 07 Feb 2010 21:51:09 -0500

plt-scheme (4.2.1-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Mon, 10 Aug 2009 11:29:40 -0400

plt-scheme (4.1.5-1) unstable; urgency=low

  * New upstream version 

 -- Ari Pollak <ari@debian.org>  Sun, 22 Mar 2009 21:55:44 -0400

plt-scheme (4.1.4-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Wed, 21 Jan 2009 08:53:59 -0500

plt-scheme (4.1.3-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Mon, 24 Nov 2008 13:43:11 -0500

plt-scheme (4.1.2-1) unstable; urgency=low

  * New upstream version 

 -- Ari Pollak <ari@debian.org>  Tue, 28 Oct 2008 20:06:59 -0400

plt-scheme (4.1.1-1) unstable; urgency=low

  * Make sure cdbs' and dpkg-buildpackage's CFLAGS and CXXFLAGS aren't passed
    through to configure and make, so we don't get surprising behavior that
    upstream isn't expecting.
  * Update package description from PLT website (Closes: #491636)

 -- Ari Pollak <ari@debian.org>  Sun, 05 Oct 2008 16:45:08 -0400

plt-scheme (4.0.1-2) unstable; urgency=low

  * Rename package to plt-scheme, combining the drscheme and mzscheme
    packages, following advice from upstream (Closes: #488247)
  * Add plt-scheme-doc package
  * Fix the package description, removing references to Rice University

 -- Ari Pollak <ari@debian.org>  Wed, 02 Jul 2008 21:43:32 -0400

drscheme (2:4.0.1-1) unstable; urgency=low

  * New upstream version
  * Update watch file
  * Apply patch from upstream to fix doc paths being hardcoded as the
    temporary package installation directory instead of the configured path
    (Closes: #486513)

 -- Ari Pollak <ari@debian.org>  Tue, 24 Jun 2008 19:01:58 -0400

drscheme (2:4.0-1) unstable; urgency=medium

  * New upstream version
  * Use older memory management on all architectures to be consistent
    (Closes: #473212)
  * Add new epoch since upstream changed versioning scheme
  * Move readline to mzscheme package, and add note in copyright file about it
    (Closes: #460466)
  * Remove obsolete manpages and init script for web-server

 -- Ari Pollak <ari@debian.org>  Sat, 14 Jun 2008 11:17:57 -0400

drscheme (1:372-1) unstable; urgency=low

  [ Artem Baguinski ]
  * New upstream release
  * Removed mzscheme.prerm as mzscheme.postrm does the same thing
  * Don't build with 3m GC on architectures other than i386/amd64,
    since it was causing crashes in mzscheme

  [ Ari Pollak ]
  * Remove Conflicts: slib

 -- Ari Pollak <ari@debian.org>  Fri, 11 Jan 2008 11:31:50 -0500

drscheme (1:371-1) unstable; urgency=low

  [ Artem Baguinski ]
  * New upstream release (Closes: #425539)
  * Removed patches 05_slibinit-fix.patch and 07_slib.patch
    because the upstream got rid of slibinit
  * New collects: combinator-parser and wxme
  * New garbage collector (3m), only enabled on i386/amd64 at the moment
  * Portuguese translation for drscheme's debconf messages.
    Translator: Américo Monteiro <a_monteiro@netcabo.pt>
    (Closes: #435507)
  * Makefile generated by configure doesn't reference EXPORT
    environment variable (Closes: #411900)

  [ Ari Pollak ]
  * Add Artem to Uploaders
  * Update watch file (Closes: #450066)
  * Remove 08_360p1.patch, which wasn't actually applied anyway
  * Add XS-Vcs- fields to control file

 -- Ari Pollak <ari@debian.org>  Mon, 26 Nov 2007 11:00:53 -0500

drscheme (1:360-1) unstable; urgency=low

  * Non-maintainer upload with permission of the semi-maintainer.
  * New upstream version.
  * Bump to Standards-Version 3.7.2.2.
  * Use quilt rather than simple-patchsys to manage patches.
    - Refresh and/or fix patches 00_debian-nonstandard-install.patch,
      01_debian-web-server.patch, 02_alpha-compile-fix.patch,
      06_stack-direction-fix.patch, 07_slib.patch
    - Remove 05_slibinit-fix.patch from series but leave it in
      debian/; it looks like the fix has been incorporated upstream
      but let's just make sure before deleting it.
    - Remove 06_stack-direction-fix.patch from series, it's also
      been applied upstream.
    - Add 08_360p1.patch from upstream to fix a problem with X.
      (Closes: #409197)

 -- Christine Spang <christine@debian.org>  Mon, 07 May 2007 16:38:30 -0400

drscheme (1:352-10) unstable; urgency=low


