=== debian/control ===
Source: plt-scheme
Section: lisp 
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ari Pollak <ari@debian.org>
Uploaders: James Vega <jamessan@debian.org>
Standards-Version: 3.8.0
Build-Depends: cdbs, quilt, debhelper (>= 7.0.0), patchutils,
 libfreetype6-dev, libjpeg-dev, libpng12-dev, libssl-dev, libxaw7-dev,
 xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev
Vcs-Svn: svn://svn.debian.org/svn/pkg-plt-scheme/plt-scheme/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-plt-scheme/plt-scheme/
Homepage: http://www.plt-scheme.org/

Package: plt-scheme
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: plt-scheme-doc (>= ${source:Upstream-Version})
Conflicts: mzscheme (<< 2:4.0.1+fake.1), drscheme (<< 2:4.0.1+fake.1)
Replaces: mzscheme (<< 2:4.0.1+fake.1), drscheme (<< 2:4.0.1+fake.1)
Description: PLT Scheme Programming Environment
 PLT Scheme is an innovative programming language that builds on a rich
 academic and practical tradition.
 .
 It is suitable for implementation tasks ranging from scripting to
 application development, including GUIs, web services, etc.
 .
 It includes the DrScheme programming environment, a virtual machine with
 a just-in-time compiler, tools for creating stand-alone executables, the
 PLT Scheme web server, extensive libraries, documentation for both
 beginners and experts, and more.
 .
 It supports the creation of new programming languages through a
 rich, expressive syntax system. Example languages include Typed Scheme,
 ACL2, FrTime, and Lazy Scheme.

Package: plt-scheme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: plt-scheme (>= ${source:Upstream-Version})
Conflicts: mzscheme (<< 2:4.0.1+fake.1), drscheme (<< 2:4.0.1+fake.1)
Replaces: mzscheme (<< 2:4.0.1+fake.1), drscheme (<< 2:4.0.1+fake.1)
Enhances: plt-scheme
Description: PLT Scheme Documentation
 This package includes all of the documentation for PLT Scheme.
